#! /bin/bash

# this script tracks the health of the denoising algo

set -x
set -e

test_equal() {
    HASH1=$( md5sum $1 | cut -d\  -f1 )
    HASH2=$( md5sum $2 | cut -d\  -f1 )
    test $HASH1 = $HASH2
}

cp ./test/aface.png .
python denoise.py

test_equal affineONLY.png ./test/affineONLY.png
test_equal affineReassign.png ./test/affineReassign.png
test_equal affinep.png ./test/affinep.png
test_equal affinenp.png ./test/affinenp.png
